> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/objects/invoice-connection.md).

# InvoiceConnection

### Fields

#### edges (\[[InvoiceEdge](/graphql-api/api-reference/objects/invoice-edge.md)])

A list of edges.

#### nodes (\[[Invoice](/graphql-api/api-reference/objects/invoice.md)])

A list of nodes.

#### pageInfo ([PageInfo](/graphql-api/api-reference/objects/page-info.md)!)

Information to aid in pagination.

#### revenueExcludingTaxTotalCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total invoice revenue excluding tax in cents.

#### revenueIncludingTaxTotalCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total invoice revenue including tax in cents.

#### revenueTotalsPerCategory (\[[InvoiceCategoryRevenueSummary](/graphql-api/api-reference/objects/invoice-category-revenue-summary.md)!]!)

Invoice revenue totals grouped by invoice line item category.

#### revenueTotalsPerProduct (\[[InvoiceProductRevenueSummary](/graphql-api/api-reference/objects/invoice-product-revenue-summary.md)!]!)

Invoice revenue totals grouped by product.

| Argument                                                        | Description                                            |
| --------------------------------------------------------------- | ------------------------------------------------------ |
| productIds (\[[ID](/graphql-api/api-reference/objects/id.md)!]) | Only include invoice line items for these product IDs. |

#### totalCount ([Int](/graphql-api/api-reference/objects/int.md))

The total number of items available.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/invoice-connection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
